%set_verify_elf_method none
%define _python_compile_clean ""

Name: python-module-tionix_vdi_server
Version: 1.21.0
Release: alt0.M80C.1
Summary: Tionix VDI server

Group: Development/Python
License: non-exclusive
Url: http://tionix.ru/
Source0: %name-%version.tar

BuildArch: noarch
AutoReq: no

BuildRequires: python-devel
BuildRequires: python-module-setuptools python-module-setuptools-tests
BuildRequires: python-module-pbr >= 1.8
BuildRequires: python-module-sphinx

Requires: python-module-tionix_client
Requires: python-module-celery
Requires: python-module-celery-tests
Requires: python-module-django
Requires: python-module-djangorestframework
Requires: python-module-migrate
Requires: python-module-django-openstack-auth
Requires: python-module-django-user_agents
Requires: python-module-django-compressor
Requires: python-module-django-bootstrap3
Requires: python-module-yaml
Requires: python-module-xstatic
Requires: python-module-xstatic-bootstrap-scss
Requires: python-module-xstatic-spin

%description
Tionix VDI server

%prep
%setup

# Remove bundled egg-info
rm -rf *.egg-info

%build
mkdir -pv build/lib/
cp -rv tionix_vdi_server build/lib/

%install
%python_install

%files
%python_sitelibdir/*

%changelog
* Mon Aug 21 2017 Lenar Shakirov <snejok@altlinux.ru> 1.21.0-alt0.M80C.1
- Backport to C8

* Wed Aug 16 2017 Lenar Shakirov <snejok@altlinux.ru> 1.21.0-alt0.M80P.1
- New version 1.21.0

* Tue Aug 15 2017 Lenar Shakirov <snejok@altlinux.ru> 1.20.0-alt0.M80P.1
- Build for P8

* Mon Jun 05 2017 Lenar Shakirov <snejok@altlinux.ru> 1.20.0-alt0.M70C.1
- New version 1.20.0
- Needed requires added

* Fri May 26 2017 Lenar Shakirov <snejok@altlinux.ru> 1.19.0-alt0.M70C.1
- New version 1.19.0

* Fri May 26 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.4
- Don't use python_build macros

* Thu May 25 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.3
- Unset _python_compile_clean

* Mon May 22 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.2
- Packaging fixed

* Mon May 22 2017 Lenar Shakirov <snejok@altlinux.ru> 1.18.0-alt0.M70C.1
- New version 1.18.0

* Wed Mar 15 2017 Lenar Shakirov <snejok@altlinux.ru> 1.15.0-alt0.M70C.1
- New version 1.15.0

* Tue Dec 13 2016 Lenar Shakirov <snejok@altlinux.ru> 1.0.0-alt0.M70C.1
- Initial build for ALT
